summarylogtreecommitdiffstats
path: root/notely.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-29 11:55:12 +0800
committerzxp198210052024-03-29 11:55:12 +0800
commit0a7e63d8ac5ba0ce489db9be9b45921ec275667e (patch)
tree1e2d0c5713b4eabab60dbed9c23762c4f897da8d /notely.sh
downloadaur-notely-git.tar.gz
update to 1.0.1.r3.g8717876
Diffstat (limited to 'notely.sh')
-rw-r--r--notely.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/notely.sh b/notely.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/notely.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file